Package org.opensaml.soap.client.security

# Class SOAPClientSecurityContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.soap.client.security.SOAPClientSecurityContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class SOAPClientSecurityContext extends BaseContext
Context class for holding security information related to SOAP client operations.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`securityConfigurationProfileId`
Security configuration profile ID.

## Constructor Summary

Constructors
Constructor
Description
`SOAPClientSecurityContext()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getSecurityConfigurationProfileId()`
Get the security configuration profile ID.
`void`
`setSecurityConfigurationProfileId(String profileId)`
Set the security configuration profile ID.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### securityConfigurationProfileId

@Nullable private String securityConfigurationProfileId
Security configuration profile ID.

## Constructor Details

### SOAPClientSecurityContext

public SOAPClientSecurityContext()

## Method Details

### getSecurityConfigurationProfileId

@Nullable public String getSecurityConfigurationProfileId()
Get the security configuration profile ID.

Returns:
  the profile ID, or null

### setSecurityConfigurationProfileId

public void setSecurityConfigurationProfileId(@Nullable String profileId)
Set the security configuration profile ID.

Parameters:
  `profileId` - The profileID to set